-- by modelleicher
-- changes max rotation of plough according to if the vehicle its attached to has ploughing spec or not
-- www.schwabenmodding.bplaced.net

rotAccordingPlSpecVehicle = {};

function rotAccordingPlSpecVehicle.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Plough, specializations);
end;
function rotAccordingPlSpecVehicle:load(xmlFile)
	
end;
function rotAccordingPlSpecVehicle:delete()
end;
function rotAccordingPlSpecVehicle:mouseEvent(posX, posY, isDown, isUp, button)
end;
function rotAccordingPlSpecVehicle:keyEvent(unicode, sym, modifier, isDown)
end;
function rotAccordingPlSpecVehicle:update(dt)

end;
 function rotAccordingPlSpecVehicle:draw()
end;
function rotAccordingPlSpecVehicle:onDetach(attacherVehicle, joint)
	-- set to normal 180 degree rotation again just in case
	self.animations[self.rotationPart.turnAnimation].parts[1].startRot[3] = math.rad(0);
	self.animations[self.rotationPart.turnAnimation].parts[1].endRot[3] = math.rad(-180);
end;
function rotAccordingPlSpecVehicle:onAttach(attacherVehicle, joint)	
	if attacherVehicle.bounceTimeLeft ~= nil and attacherVehicle.bounceTimeRight ~= nil then
		-- ploughing spec installed in attacher vehicle
		self.animations[self.rotationPart.turnAnimation].parts[1].startRot[3] = math.rad(-5);
		self.animations[self.rotationPart.turnAnimation].parts[1].endRot[3] = math.rad(-175);
	else
	    -- no ploughing spec, use normal 180 degree rotation
		self.animations[self.rotationPart.turnAnimation].parts[1].startRot[3] = math.rad(0);
		self.animations[self.rotationPart.turnAnimation].parts[1].endRot[3] = math.rad(-180);
	end;
end; 


